#ifndef KYSDK_SYSTEM_SYSUSER_H__
#define KYSDK_SYSTEM_SYSUSER_H__

/**
 * @file libkyuserauth.h
 * @author wangweiran (wangweiran@kylinos.cn)
 * @brief 操作系统用户身份识别
 * @version 0.1
 * @date 2022-05-10
 * 
 * @copyright Copyright (c) 2021
 * 
 * @defgroup 用户身份识别
 * @{
 * 
 */


#ifdef __cplusplus
extern "C" {
#endif

/**
 * @brief 验证用户信息
 * 
 * @return int
 *        1: 验证成功
 *        0: 验证失败
 */
extern int kdk_authority_check_by_polkit();

#ifdef __cplusplus
}
#endif

#endif
